Remove gumball item
Builds the transaction removing an unsold item from gumballMachine and returning it to seller. authority signs, and must be the machine's authority or the item's seller.
Authorization
ApiKeyAuth In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/tx/gumball/remove-item" \ -H "Content-Type: application/json" \ -d '{ "authority": "string", "seller": "string", "gumballMachine": "string", "asset": "string", "index": 0 }'{ "result": { "tx": "string", "setupTx": "string" }}Cancel gumball item request POST
Builds the transaction withdrawing seller's pending request to add asset to gumballMachine, and returning the item to them.
Settle gumball sale POST
Builds the transaction that settles one item's sale. It pays the seller, the machine authority's curator share, the marketplace fee and the creators' royalties, and delivers the item to buyer if it hasn't been claimed. An unsold item (buyer set to the System Program) goes back to the seller. Anyone can sign and pay as payer.